CONJ(3) | Library Functions Manual | CONJ(3)

# NAME

conj, conjf, conjl — complex conjugate functions

# SYNOPSIS

#include <complex.h>
double complex
conj(double complex z);
float complex
conjf(float complex z);
long double complex
conjl(long double complex z);

# DESCRIPTION

These functions compute the complex conjugate of z, by reversing the sign of its imaginary part.

# RETURN VALUES

These functions return the complex conjugate value.

# ERRORS

No errors are defined.

# SEE ALSO

carg(3), cimag(3), cproj(3), creal(3), IEEE Std 1003.1-2001 (“POSIX.1”) ⟨complex.h⟩

# COPYRIGHT

Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .

December 27, 2012 | NetBSD 8.2